<?php



/**



 * The template for displaying archive pages



 *



 * Used to display archive-type pages if nothing more specific matches a query.



 * For example, puts together date-based pages if no date.php file exists.



 *



 * If you'd like to further customize these archive views, you may create a



 * new template file for each one. For example, tag.php (Tag archives),



 * category.php (Category archives), author.php (Author archives), etc.



 *



 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/



 * */







get_header(); ?>







<div id="content" class="site-content">







	<header class="page-header">



		<?php



			the_archive_title( '<h1 class="page-title">', '</h1>' );



			the_archive_description( '<div class="taxonomy-description">', '</div>' );



		?>



	</header><!-- .page-header -->



			



	<div id="primary" class="content-area col-xs-12 col-sm-8 col-md-9 col-lg-9">



		<main id="main" class="site-main" role="main">







		<?php if ( have_posts() ) : ?>











			<?php



			// Start the Loop.



			while ( have_posts() ) :



				the_post();







				/*



				 * Include the Post-Format-specific template for the content.



				 * If you want to override this in a child theme, then include a file



				 * called content-___.php (where ___ is the Post Format name) and that will be used instead.



				 */



				 



					get_template_part( 'templates/content', get_post_format() );



				



				// End the loop.



			endwhile;







			// Previous/next page navigation.



			the_posts_pagination(



				array(



					'prev_text'          => esc_html__( 'Previous page', 'agency-starter' ),



					'next_text'          => esc_html__( 'Next page', 'agency-starter' ),



					'before_page_number' => '<span class="meta-nav screen-reader-text">' . esc_html__( 'Page', 'agency-starter' ) . ' </span>',



				)



			);







			// If no content, include the "No posts found" template.



		else :



			get_template_part( 'templates/content', 'none' );







		endif;



		?>







		</main><!-- .site-main -->



	</div><!-- .content-area -->







<?php get_sidebar(); ?>







</div><!-- site content-->







<?php get_footer(); ?>



