<?php
/**
 * The template part for displaying post
 * @package Multipurpose Startup
 * @subpackage multipurpose_startup
 * @since 1.0
 */
?>
<?php 
  $archive_year  = get_the_time('Y'); 
  $archive_month = get_the_time('m'); 
  $archive_day   = get_the_time('d'); 
?>
<div class="col-lg-4 col-md-4">
  <article class="grid-sec p-2 mb-4">
    <div class="mainimage">
      <?php 
        if(has_post_thumbnail() && get_theme_mod('multipurpose_startup_grid_post_featured_image',true) == true) { 
          the_post_thumbnail(); 
        }
      ?>
    </div>
    <h2><a href="<?php echo esc_url(get_permalink() ); ?>"><?php the_title(); ?><span class="screen-reader-text"><?php the_title(); ?></span></a></h2>
    <?php if( get_theme_mod( 'multipurpose_startup_grid_post_date',true) != '' || get_theme_mod( 'multipurpose_startup_grid_post_author',true) != '' || get_theme_mod( 'multipurpose_startup_grid_post_comment',true) != '' || get_theme_mod( 'multipurpose_startup_grid_post_time',true) != '') { ?>
      <div class="grid-post-info p-1">
        <?php if( get_theme_mod( 'multipurpose_startup_grid_post_date',true) != '') { ?>
          <i class="<?php echo esc_attr(get_theme_mod('multipurpose_startup_postdate_icon',"fa fa-calendar pe-2" )); ?>"></i><a href="<?php echo esc_url( get_day_link( $archive_year, $archive_month, $archive_day)); ?>"><span class="entry-date ms-1 me-2"><?php echo esc_html( get_the_date() ); ?></span><span class="screen-reader-text"><?php echo esc_html( get_the_date() ); ?></span></a>
        <?php }?>
        <?php if( get_theme_mod( 'multipurpose_startup_grid_post_author',true) != '') { ?>
          <i class="<?php echo esc_attr(get_theme_mod('multipurpose_startup_postauthor_icon',"fa fa-user pe-2" )); ?>"></i><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' )) ); ?>"><span class="entry-author ms-1 me-2"> <?php the_author(); ?></span><span class="screen-reader-text"><?php the_author(); ?></span></a>
        <?php }?>
        <?php if( get_theme_mod( 'multipurpose_startup_grid_post_comment',true) != '') { ?>
          <i class="<?php echo esc_attr(get_theme_mod('multipurpose_startup_postcomment_icon',"fa fa-comments pe-2" )); ?>"></i><span class="entry-comments ms-1 me-2"> <?php comments_number( __('0 Comments','multipurpose-startup'), __('0 Comments','multipurpose-startup'), __('% Comments','multipurpose-startup') ); ?></span> 
        <?php }?>
        <?php if( get_theme_mod( 'multipurpose_startup_grid_post_time',true) != '') { ?>
          <span class="entry-comments ms-1 me-2"><i class="<?php echo esc_attr(get_theme_mod('multipurpose_startup_posttime_icon',"fa fa-clock pe-2" )); ?>"></i> <?php echo esc_html( get_the_time() ); ?></span>
        <?php }?>
      </div>
    <?php }?>
    <?php if(get_the_excerpt()) { ?>
      <div class="entry-content"><p><?php $multipurpose_startup_excerpt = get_the_excerpt(); echo esc_html( multipurpose_startup_string_limit_words( $multipurpose_startup_excerpt, esc_attr(get_theme_mod('multipurpose_startup_post_excerpt_number','20')))); ?> <?php echo esc_html( get_theme_mod('multipurpose_startup_grid_excerpt_suffix','...') ); ?></p></div>
    <?php }?>
    <?php if ( get_theme_mod('multipurpose_startup_grid_button_text','Read Full') != '' ) {?>
      <div class="blogbtn mt-2">
        <a href="<?php echo esc_url( get_permalink() );?>" class="blogbutton-small"><?php echo esc_html( get_theme_mod('multipurpose_startup_grid_button_text',__('Read Full', 'multipurpose-startup')) ); ?><span class="screen-reader-text"><?php echo esc_html( get_theme_mod('multipurpose_startup_grid_button_text',__('Read Full', 'multipurpose-startup')) ); ?></span></a>
      </div>
    <?php }?>
  </article>
</div>